$(document).ready(function() {
	let url = '/api';
	let apiKey = window.Eqsash.apiKey;
	
	//init();

	async function init() {
		let cryptRsa = new Crypt('RSA');
		let keysRsa = await cryptRsa.getKeys();
		cryptRsa.setKeys([keysRsa.keys.privateKey, keysRsa.keys.publicKey,], [keysRsa.raw.privateKey, keysRsa.raw.publicKey,]);
		
		$.post(url, 'key='+apiKey+'&module=crypt&method=get_key_aes&platform=javascript&public_key='+keysRsa.raw.publicKey, async function (data) {
			let keyAesDecrypted = await cryptRsa.decryptRsa(data);
			getData(keyAesDecrypted);
		});
	
		/* let rsaEncrypted = await cryptRsa.encryptRsa('67890');
		d(rsaEncrypted);
		
		let rsaDecrypted = await cryptRsa.decryptRsa(rsaEncrypted);
		d(rsaDecrypted); */
	}

	async function getData(keyAesDecrypted) {
		let cryptAes = new Crypt('AES');
		
		if (keyAesDecrypted) {
			let keyAes = await cryptAes.getKeys(keyAesDecrypted);
			cryptAes.setKeys([keyAes.key,], [keyAes.raw,],);
			
			$.post(url, 'key='+apiKey+'&module=crypt&method=get_data&platform=javascript', async function (data) {
				let result = await cryptAes.decryptAes(data);
				d(result);
			});
		}
		
		/* let aesEncrypted = await cryptAes.encryptAes('12345');
		d(aesEncrypted);
		
		let aesDecrypted = await cryptAes.decryptAes(aesEncrypted);
		d(aesDecrypted); */
	}
});

function d(data) {
	console.log(data);
}